// SimDlg.h : header file
//

#if !defined(AFX_SIMDLG_H__70AF021A_733F_42FA_9C20_5B6955E17FC6__INCLUDED_)
#define AFX_SIMDLG_H__70AF021A_733F_42FA_9C20_5B6955E17FC6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CSimDlg dialog

const int SINE = 0;
const int SQUARE = 1;
const int RANDOM = 2;

class CSimDlg : public CDialog
{
// Construction
public:
	void Update();


	int m_nCH1WaveType;
	int m_nCH2WaveType;
	int m_nCH3WaveType;
	int m_nCH4WaveType;

	void SimCH4();
	void SimCH3();
	void SimCH2();
	void SimCH1();
	int k;
	int k2;
	int k3;
	int k4;

	double t1;
	double t2;
	double t3;
	double t4;

	int ch1_pos;
	int ch2_pos;
	int ch3_pos;
	int ch4_pos;



	void ComProtocolTop();
	bool m_Enable;
	void trans(char c);
	bool readchr(unsigned char *c);
	void InitalCom();
	CSimDlg(CWnd* pParent = NULL);	// standard constructor

	// variables used with the com port
	BOOL     m_bPortReady;
	HANDLE   m_hCom;
	CString  m_sComPort;
	DCB      m_dcb;
	COMMTIMEOUTS m_CommTimeouts;
	BOOL     bWriteRC;
	BOOL     bReadRC;
	DWORD iBytesWritten;
	DWORD iBytesRead;
	char       sBuffer[128];
// Dialog Data
	//{{AFX_DATA(CSimDlg)
	enum { IDD = IDD_SIM_DIALOG };
	CEdit	m_Ctrl_TXHIST;
	CString	m_sTxHistory;
	BOOL	m_EnableCH1;
	BOOL	m_EnableCH2;
	BOOL	m_EnableCH3;
	BOOL	m_EnableCH4;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSimDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSimDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnHelpAbout();
	afx_msg void OnOptions();
	afx_msg void OnDestroy();
	afx_msg void OnEnableDisable();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnWaveCH1();
	afx_msg void OnWaveCH2();
	afx_msg void OnWaveCH3();
	afx_msg void OnWaveCH4();
	afx_msg void OnHelpColinshomepage();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SIMDLG_H__70AF021A_733F_42FA_9C20_5B6955E17FC6__INCLUDED_)
